package main

import (
	"fmt"

	"internal/day03"
	"internal/util"
)

func main() {
	data := util.ReadInput()
	claims, maxX, maxY := day03.ParseClaims(data)
	grid := day03.PopulateGrid(claims, maxX, maxY)

	count := 0
	for y := 0; y < len(grid); y++ {
		for x := 0; x < len(grid[y]); x++ {
			if grid[y][x] == -1 {
				count++
			}
		}
	}

	fmt.Println(count)
}
