package main

import (
	"fmt"

	"internal/day05"
	"internal/util"
)

func main() {
	data := util.ReadInputBytes()
	result := [26][]byte{}

	for i := 0; i < 26; i++ {
		result[i] = day05.StripElement(data, rune('a'+i))
		result[i] = day05.ApplyReactions(result[i])
	}

	shortest := len(result[0])
	for i := 1; i < 26; i++ {
		if len(result[i]) < shortest {
			shortest = len(result[i])
		}
	}

	fmt.Println(shortest)
}
