package main

import (
	"fmt"

	"internal/day07"
	"internal/util"
)

func main() {
	data := util.ReadInput()

	// Build a tree of dependencies.
	root := day07.BuildDependencyTree(data)

	// Build
	time := day07.SimulateConstruction(root)
	fmt.Println(time)
}
